GEM安装KGIO错误[英] gem install kgio ERROR

本文是小编为大家收集整理的关于GEM安装KGIO错误的处理方法,想解了GEM安装KGIO错误的问题怎么解决?GEM安装KGIO错误问题的解决办法?那么可以参考本文帮助大家快速定位并解决问题。

问题描述

我下载了一个rails开源webapp,而我使用它的开始使用:

C:\Users\admin\Downloads\iCare\icare-develop>rails server
←[31mCould not find kgio-2.8.0 in any of the sources←[0m
←[33mRun `bundle install` to install missing gems.←[0m

我试图使用:

cmd:>gem install kgio -v '2.8.0'

我收到错误:

Temporarily enhancing PATH to include DevKit...
Building native extensions.  This could take a while...
ERROR:  Error installing kgio:
ERROR: Failed to build gem native extension.C:/Ruby193/bin/ruby.exe extconf.rb
checking for CLOCK_MONOTONIC in time.h... no
checking for CLOCK_MONOTONIC() in time.h... no
checking for clockid_t in time.h... no
checking for clock_gettime() in -lrt... no
checking for t_open() in -lnsl... no
checking for socket() in -lsocket... no
checking for poll() in poll.h... no
checking for getaddrinfo() in sys/types.h,sys/socket.h,netdb.h... no
getaddrinfo required
*** extconf.rb failed ***
Could not create Makefile due to some reason, probably lack of
necessary libraries and/or headers.  Check the mkmf.log file for more
details.  You may need configuration options.

Provided configuration options:
        --with-opt-dir
        --without-opt-dir
        --with-opt-include
        --without-opt-include=${opt-dir}/include
        --with-opt-lib
        --without-opt-lib=${opt-dir}/lib
        --with-make-prog
        --without-make-prog
        --srcdir=.
        --curdir
        --ruby=C:/Ruby193/bin/ruby
        --with-rtlib
        --without-rtlib
        --with-nsllib
        --without-nsllib
        --with-socketlib
        --without-socketlib

和 GEM文件将保持在C:/ruby193/lib/ruby/gems/1.9.1/gems/kgio-2.8中安装. 0进行检查. 结果记录到C:/ruby193/lib/ruby/gems/1.9.1/gems/kgio-2.8.0/age/kgio/gem_ma ke.out

我做了类型:bundle install之后,但没有发生任何事情..

推荐答案

kgio仅适用于* nix系统.

KGIO GEM页面:

kgio 2.8.0 kgio为Ruby提供无阻塞I/O方法 在eagain和einprogress上提高例外.它适用于 与独角兽和彩虹!机架服务器,但可以用其他方式使用 应用程序(在类似UNIX的平台上运行).

其他推荐答案

试试这个

platforms :ruby do # linux

  gem 'unicorn'

end

platforms :mswin do

  # gems specific to windows

end

来源: 在Windows上开发,在Heroku 生产的Unicorn

其他推荐答案

我认为您正在使用Windows操作系统,所以只需要乘坐此错误所需的东西是发表评论或删除您的Gem文件中的 gem'unicorn' 这仅适用于Linux系统

本文地址:https://www.itbaoku.cn/post/786539.html